Ask Your Question
0

Clarifying Puppet Version Numbering

asked 2015-10-28 11:00:17 -0500

cybersamurai gravatar image

We are currently running puppet/puppet-server 3.8.1 (open source) on EL7. We would like to upgrade to puppet 4.x to leverage new language features, however the recently updated packages in yum.puppetlabs.com appear to be no newer than 3.8, and some as old as 1.x and 2.x.

In addition, I saw this This Post which suggested that puppet 4.2 is puppet server 2.1, which totally confused me.

I'd appreciate if someone could clarify the version numbers, and if/when a 4.x RPM will be available for EL7.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2015-10-28 16:47:48 -0500

cybersamurai gravatar image

I wasn't well enough informed on the new "All-in-one" packaging in Puppet 4.x - this introduces puppet-agent and puppetserver: http://docs.puppetlabs.com/puppet/4.2...

The version relationships are explained here. http://docs.puppetlabs.com/puppet/4.2...

edit flag offensive delete link more

Comments

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-10-28 11:00:17 -0500

Seen: 77 times

Last updated: Oct 28 '15